Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Error
Created: 2008-05-09 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Make error message from exception handler in production mode more user-friendly
Description

The simple "500 internal server error" is misleading, this should be better-looking and at least reveal that the error is caused/raised by
FLOW3, and not Apache or some other system-level cause.

Associated revisions
Revision bebe1e19 - 2008-05-10 21:39 - Karsten Dambekalns

The ProductionExceptionHandler now looks nicer and tells the error is coming from FLOW3. Fixes #502.

Note that for MSIE < 8 the error screen doesn't have any graphics, as we cannot use inline graphics (data URL) in that case.

History
#1 - 2008-05-10 18:29 - Robert Lemke
- Assigned To changed from Robert Lemke to Karsten Dambekalns

#2 - 2008-05-10 21:39 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r836.
